1. Docs
  2. API Reference
  3. Get the current Account

Get the current Account

GET/portal/v1/accounts/{accountSlug}

Authentication

  • Bearer Token Authorization

    JWT access token

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/portal/v1/accounts/{accountSlug}" \
  -H "Authorization: Bearer $CANOPY_TOKEN"

Responses

200 Account returned
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "settings": {},
  "plan": "string",
  "version": 0,
  "created_at": "2026-04-20T12:00:00.000Z",
  "updated_at": "2026-04-20T12:00:00.000Z"
}

application/json

  • idstring*
  • namestring*
  • slugstring*
  • settingsany object*
  • planstring*
  • versionnumber*
  • created_atstring (date-time)*
  • updated_atstring (date-time)*
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)

Returned object

On this page

Related endpoints

PATCHUpdate the Account name or settings